/*
 * XchromP.h -- a CHROMACHRON clock widget. private header.
 * Copyright (c) Olaf Heimburger 1990, 1991
 * Last edited: Mon Aug 19 08:19:10 1991 by olafh (Olaf Heimburger) on gecko
 */
#ifndef _XtXchromP_h
#define _XtXchromP_h

#include <X11/CoreP.h>
#include "Xchrom.h"

typedef struct {
    Pixel        foreground; /* frame color */
    Pixel        color[NUMFIELDS];
    int          frameOffset;
    int          maskOffset;
    int          timeOffset; /* in minutes */
    int          circularFrame; /* shape of the frame */
    /*
     * non-resources (e.g. user can't set)
     */
    XtIntervalId intervalId;
    GC           colorGC[FRAMECOLOR + 1];
    Pixmap	 colorPixmap;
    XArc         slices[NUMFIELDS + 1];
    int          savedHour;
    int          savedMin;
    int          arcSize;
    int          squareSize;
    Pixmap       wdwPixmap;
    int          offset;
    int          minOffset;
    int          hourOffset;
} XchromPart;

typedef struct _XchromRec {
    CorePart	core;
    XchromPart	xchrom;
} XchromRec;

typedef struct {int dummy;} XchromClassPart;

typedef struct _XchromClassRec {
    CoreClassPart	core_class;
    XchromClassPart	xchrom_class;
} XchromClassRec;

extern XchromClassRec xchromClassRec;

#endif _XtXchromP_h
