.TH XCHROM 1 "19 August 1991" "X Version 11"
.SH NAME
xchrom - CHROMACHRON like clock for X
.SH SYNOPSIS
.B xchrom
[-\fIframeOffset n\fP]
[-\fImaskOffset n\fP]
[-\fItimeOffset n\fP]
[-\fItoolkitoption\fP ...]
.SH DESCRIPTION
The
.I xchrom 
program displays the time in the CHROMACHRON format.  The time is
updated on a per minute basis.  This program is
nothing more than a wrapper around the xchrom widget not associated with
any particular widget set.
.PP
On a chronometer time is shown by hands and numerals.  Differently on
CHROMACHRON, the color-time-clock: Its face is not a dial but a
color-time-circle, over which a black disk revolves with a piece cut
out as large as a color segment.  The disk revolves with the speed of
one color area per hour.  The disk cut-out indicates the time.  If,
for example, this stands on yellow, it is 12 noon.  The more to be
seen of the following color, the nearer the next hour.
.sp
.SH OPTIONS
.I Xchrom
supports the following command line options:
.TP 8
.B -frameOffset n
Specifies the frame width between color-time-circle and window border.
.TP 8
.B -maskOffset n
Specifies the width between the color-time-circle border and the
revolving disk. The default is 4 pixels.
.TP 8
.B -timeOffset n
Specifies the difference between system time and current time.  It was
often discovered that the system time and current time differ (e.g. 2
minutes on the author's system).
.LP
.I Xchrom
also accepts all of the standard X Toolkit command line options.
.SH X DEFAULTS
It understands all of the core resource names and
classes as well as:
.TP 8
.B foreground (\fPclass\fB Foreground)
Specifies the color for the frame.  Using the class
specifies the 
color for all things that normally would appear in the foreground color.
The default is ``black'' since the core default for background is ``white.''
.TP 8
.B frameOffset (\fPclass\fB FrameOffset)
Specifies the frame width between color-time-circle and window border.
The default is 10 pixels.
.TP 8
.B maskOffset (\fPclass\fB MaskOffset)
Specifies the width between the color-time-circle border and the
revolving disk. The default is 4 pixels.
.TP 8
.B timeOffset (\fPclass\fB TimeOffset)
Specifies the difference between the system time and the current time.
The default value is 0.
.TP 8
.B twelveOClock (\fPclass\fB TwelveOClock)
Specifies the color for the twelve o'clock time slice. The default is
``yellow''.
.TP 8
.B oneOClock (\fPclass\fB OneOClock)
Specifies the color for the one o'clock time slice. The default is
``orange''.
.TP 8
.B twoOClock (\fPclass\fB TwoOClock)
Specifies the color for the two o'clock time slice. The default is
``pink''.
.TP 8
.B threeOClock (\fPclass\fB ThreeOClock)
Specifies the color for the three o'clock time slice. The default is
``red''.
.TP 8
.B fourOClock (\fPclass\fB FourOClock)
Specifies the color for the four o'clock time slice. The default is
``light pink''.
.TP 8
.B fiveOClock (\fPclass\fB FiveOClock)
Specifies the color for the five o'clock time slice. The default is
``violet''.
.TP 8
.B sixOClock (\fPclass\fB SixOClock)
Specifies the color for the six o'clock time slice. The default is
``royal blue''.
.TP 8
.B sevenOClock (\fPclass\fB SevenOClock)
Specifies the color for the seven o'clock time slice. The default is
``dark green''.
.TP 8
.B eightOClock (\fPclass\fB EightOClock)
Specifies the color for the eight o'clock time slice. The default is
``turquiose''.
.TP 8
.B nineOClock (\fPclass\fB NineOClock)
Specifies the color for the nine o'clock time slice. The default is
``brown''.
.TP 8
.B tenOClock (\fPclass\fB TenOClock)
Specifies the color for the ten o'clock time slice. The default is
``light yellow''.
.TP 8
.B elevenOClock (\fPclass\fB ElevenOClock)
Specifies the color for the eleven o'clock time slice. The default is
``wheat''.
.SH ENVIRONMENT
.PP
.TP 8
.B DISPLAY
to get the default host and display number.
.TP 8
.B XENVIRONMENT
to get the name of a resource file that overrides the global resources
stored in the RESOURCE_MANAGER property.
.SH "SEE ALSO"
X(1), xrdb(1), time(3C).
.SH BUGS
The colors are chosen in a best fit manner.  It is possible that
not every color server supports the default colors.  If that happens
use the ~/.Xdefaults file to set the nearest approximation of your server.
.SH COPYRIGHT
Copyright (c) 1990, 1991, Olaf Heimburger.
Permission to use and copy.
.SH AUTHOR
.nf
Olaf Heimburger --- <olaf@tub.BITNET>, <olafh@berthold.de>
.fi
